aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.VerifyDomainDkim

Synopsis

- data VerifyDomainDkim = VerifyDomainDkim Text
- data VerifyDomainDkimResponse = VerifyDomainDkimResponse [Text]

# Documentation

data VerifyDomainDkim Source #

Verify ownership of a domain.

Constructors

VerifyDomainDkim Text |

#### Instances

Instances details

SignQuery VerifyDomainDkim Source # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Associated Types

type ServiceConfiguration VerifyDomainDkim |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ServiceConfiguration VerifyDomainDkim = SesConfiguration

Methods

signQuery :: VerifyDomainDkim -> ServiceConfiguration VerifyDomainDkim queryType -> SignatureData -> SignedQuery Source #

Show VerifyDomainDkim Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim Methods showsPrec :: Int -> VerifyDomainDkim -> ShowS Source # show :: VerifyDomainDkim -> String Source # showList :: [VerifyDomainDkim] -> ShowS Source #
Eq VerifyDomainDkim Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim Methods (==) :: VerifyDomainDkim -> VerifyDomainDkim -> Bool Source # (/=) :: VerifyDomainDkim -> VerifyDomainDkim -> Bool Source #
Ord VerifyDomainDkim Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Methods

compare :: VerifyDomainDkim -> VerifyDomainDkim -> Ordering Source #

(<) :: VerifyDomainDkim -> VerifyDomainDkim -> Bool Source #

(<=) :: VerifyDomainDkim -> VerifyDomainDkim -> Bool Source #

(>) :: VerifyDomainDkim -> VerifyDomainDkim -> Bool Source #

(>=) :: VerifyDomainDkim -> VerifyDomainDkim -> Bool Source #

max :: VerifyDomainDkim -> VerifyDomainDkim -> VerifyDomainDkim Source #

min :: VerifyDomainDkim -> VerifyDomainDkim -> VerifyDomainDkim Source #

ResponseConsumer VerifyDomainDkim VerifyDomainDkimResponse Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Associated Types

type ResponseMetadata VerifyDomainDkimResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ResponseMetadata VerifyDomainDkimResponse = SesMetadata

Methods

responseConsumer :: Request -> VerifyDomainDkim -> IORef (ResponseMetadata VerifyDomainDkimResponse) -> HTTPResponseConsumer VerifyDomainDkimResponse Source #

Transaction VerifyDomainDkim VerifyDomainDkimResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim
type ServiceConfiguration VerifyDomainDkim Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ServiceConfiguration VerifyDomainDkim = SesConfiguration

data VerifyDomainDkimResponse Source #

The response sent back by Amazon SES after a `VerifyDomainDkim` command.

Constructors

VerifyDomainDkimResponse [Text] |

#### Instances

Instances details

AsMemoryResponse VerifyDomainDkimResponse Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Associated Types

type MemoryResponse VerifyDomainDkimResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type MemoryResponse VerifyDomainDkimResponse = VerifyDomainDkimResponse

Methods

loadToMemory :: VerifyDomainDkimResponse -> ResourceT IO (MemoryResponse VerifyDomainDkimResponse) Source #

Show VerifyDomainDkimResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim Methods showsPrec :: Int -> VerifyDomainDkimResponse -> ShowS Source # show :: VerifyDomainDkimResponse -> String Source # showList :: [VerifyDomainDkimResponse] -> ShowS Source #
Eq VerifyDomainDkimResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim Methods (==) :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> Bool Source # (/=) :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> Bool Source #
Ord VerifyDomainDkimResponse Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Methods

compare :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> Ordering Source #

(<) :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> Bool Source #

(<=) :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> Bool Source #

(>) :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> Bool Source #

(>=) :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> Bool Source #

max :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> VerifyDomainDkimResponse Source #

min :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> VerifyDomainDkimResponse Source #

ResponseConsumer VerifyDomainDkim VerifyDomainDkimResponse Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Associated Types

type ResponseMetadata VerifyDomainDkimResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ResponseMetadata VerifyDomainDkimResponse = SesMetadata

Methods

responseConsumer :: Request -> VerifyDomainDkim -> IORef (ResponseMetadata VerifyDomainDkimResponse) -> HTTPResponseConsumer VerifyDomainDkimResponse Source #

Transaction VerifyDomainDkim VerifyDomainDkimResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim
type MemoryResponse VerifyDomainDkimResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type MemoryResponse VerifyDomainDkimResponse = VerifyDomainDkimResponse
type ResponseMetadata VerifyDomainDkimResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ResponseMetadata VerifyDomainDkimResponse = SesMetadata